EnderDashEnderDash

List OAuth Clients

List OAuth Clients. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

GET
/servers.listOAuthClients

List OAuth Clients. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Query Parameters

Response Body

application/json

application/json

curl -X GET "https://app.enderdash.com/api/trpc/servers.listOAuthClients?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%2C%22serverId%22%3A%22string%22%7D"
{  "result": {    "data": {      "authorizeEndpoint": "string",      "clients": [        {          "clientSecretPrefix": "string",          "createdAt": "2019-08-24T14:15:22Z",          "enabled": true,          "id": "string",          "name": "string",          "organizationId": "string",          "publicClientId": "string",          "redirectUris": [            "string"          ],          "serverId": "string",          "serverName": "string",          "updatedAt": "2019-08-24T14:15:22Z"        }      ],      "discoveryEndpoint": "string",      "issuerBaseUrl": "string",      "tokenEndpoint": "string",      "userinfoEndpoint": "string"    }  }}